<mat-card>
    <mat-card-title>
        Welcome, please log in
    </mat-card-title>
    <img mat-card-image src="../../assets/img/login.jpg" style="max-width: 200px;">    
    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
        <mat-card-content>
            <mat-error *ngIf="loginInvalid">
                The username and password were not recognised
            </mat-error>
            <mat-form-field>
                <input matInput placeholder="Email" formControlName="emailLogin" required>
                <mat-error>
                    Please provide a valid email address
                </mat-error>
            </mat-form-field>
            <mat-form-field>
                <input matInput type="password" placeholder="Password" formControlName="passwordLogin" required>
                <mat-error>
                    Please provide a valid password
                </mat-error>
            </mat-form-field>
        </mat-card-content>
        <mat-card-actions>
            <button [disabled]="loading"  mat-raised-button color="primary">Login</button>
        </mat-card-actions>
    </form>
</mat-card>